% A simple cycle
% Author : Jerome Tremblay
\documentclass{article}
\usepackage{tikz}
\usetikzlibrary{arrows,shapes,positioning}
\usetikzlibrary{calc,decorations.markings}
%%%<
\usepackage{verbatim}
\usepackage{verbatim}
\usepackage[active,tightpage]{preview}
\PreviewEnvironment{tikzpicture}
\setlength\PreviewBorder{5pt}%
%%%>

\begin{document}
\begin{tikzpicture}
% graph
\node[draw, circle] (1) at (0,0) {$1$};
\node[below left = 0.5pt and 0.5pt of 1, blue] {$-4$};
\node[draw, circle] (2) at (3,0) {$2$};
\node[below right = 0.5pt and 0.5pt of 2, blue] {$1$};
\node[draw, circle] (3) at (3,3) {$3$};
\node[above right = 0.5pt and 0.5pt of 3, blue] {$1$};
\node[draw, circle] (4) at (1.5,4.5) {$4$};
\node[above right = 0.5pt and 0.5pt of 4, blue] {$1$};
\node[draw, circle] (5) at (0,3) {$5$};
\node[above left = 0.5pt and 0.5pt of 5, blue] {$1$};

\draw[bend right = 10, ->, >=latex, red] (1) to node[midway, below] {$4$} (2) ;
\draw[bend right = 10, ->, >=latex, red] (2) to  node[midway, above] {$0$} (1) ;

\draw[bend right = 10, ->, >=latex, red] (2) to node[midway, right] {$3$} (3) ;
\draw[bend right = 10, ->, >=latex, red] (3) to  node[midway, left] {$0$} (2) ;

\draw[bend right = 10, ->, >=latex, red] (3) to node[midway, above] {$1$} (4) ;
\draw[bend right = 10, ->, >=latex, red] (4) to  node[midway, below] {$0$} (3) ;

\draw[bend right = 10, ->, >=latex] (5) to node[midway, left] {$0$} (1) ;
\draw[bend right = 10, ->, >=latex] (1) to  node[midway, right] {$0$} (5) ;

\draw[bend right = 10, ->, >=latex, red] (5) to node[midway, below] {$0$} (3) ;
\draw[bend right = 10, ->, >=latex, red] (3) to  node[midway, above] {$1$} (5) ;

\draw[bend right = 10, ->, >=latex] (3) to node[midway, left] {$0$} (1) ;
\draw[bend right = 10, ->, >=latex] (1) to  node[midway, right] {$0$} (3) ;

%\draw[bend right = 10, ->, >=latex, red] (1) to node[midway, below] {$f_{12}=1$} (2) ;
%\draw[bend right = 10, ->, >=latex, red] (2) to  node[midway, above] {$f_{21}=0$} (1) ;
%
%\draw[bend right = 10, ->, >=latex, red] (2) to node[midway, right] {$f_{23}=1$} (3) ;
%\draw[bend right = 10, ->, >=latex, red] (3) to  node[midway, left] {$f_{32}=0$} (2) ;
%
%\draw[bend right = 10, ->, >=latex] (3) to node[midway, above] {$f_{34}=0$} (4) ;
%\draw[bend right = 10, ->, >=latex] (4) to  node[midway, below] {$f_{43}=0$} (3) ;
%
%\draw[bend right = 10, ->, >=latex, red] (4) to node[midway, left] {$f_{41}=0$} (1) ;
%\draw[bend right = 10, ->, >=latex, red] (1) to  node[midway, right] {$f_{14}=2$} (4) ;

\end{tikzpicture}


\end{document}



